TSMIMEHDRFIELDGET(3ts)

NAME
TSMimeHdrFieldGet - retrieves the location of a specified MIME field within the MIME header located at hdr_loc within bufp

SYNOPSIS

#include <ts/ts.h>

    TSMLoc TSMimeHdrFieldGet(TSMBuffer bufp, TSMLoc hdr, int idx)

DESCRIPTION

The idx parameter specifies which field to retrieve. The fields are numbered from 0 to TSMimeHdrFieldsCount(bufp, hdr_loc) - 1. If idx does not lie within that range then TSMimeHdrFieldGet returns 0. Release the returned handle with a call to TSHandleMLocRelease.

COPYRIGHT
2014, dev@trafficserver.apache.org